-- =============================================  
-- Description: <La sp legge i dati, rispettivamente, dalle seguenti tb (scaricate da DB2):   
-- C6StagingPeriodico.WSEILP e C6StagingPeriodico.WSEICS, e con tali dati popola la tb dbo.C6MartPeriodico.STORICO_CAPPROT_FVI  
-- =============================================  
--[C6MartPeriodico].[DM_STORICO_CAPPROT_FVI]
CREATE procedure [C6MartPeriodico].[DM_STORICO_CAPPROT_FVI]
AS  
BEGIN  
SET NOCOUNT ON;  
DECLARE @DataFineTrim VARCHAR(8)  
SET @DataFineTrim = c6martperiodico.getTrimestre2(getDate(),0)  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'DM_STORICO_CAPPROT_FVI',  
  GETDATE(),  
  'Elaborazione trimestrale'  
 )  
 TRUNCATE TABLE C6MartPeriodico.STORICO_CAPPROT_FVI  
 INSERT INTO C6MartPeriodico.STORICO_CAPPROT_FVI 
 (
[RETE],
[CODFIS],
[CODPROD],
[CODLINEA],
[COD_CONF],
[DTSOTTOS],
[DTRIFE],
[DTTRIM],
[CTV],
[CTVPROT],
[CTVMON]
 )  
		 select   
		lp.rete,
		lp.codfis,
		lp.codprod,
		lp.codlinea,
		lp.codconf,
		cs.dtsottos,
		lp.dtrife,
		lp.dttrim,
		lp.ctv,
		lp.[ctv_prot],
		lp.ctvmon
		 from c6stagingperiodico.wseilp lp
		 join
		c6stagingperiodico.wseics cs
		on lp.rete=cs.rete and lp.codfis = cs.codfis and lp.codlinea = cs.subprod and lp.codprod = cs.codprod
		where 1=1
		and lp.codprod = 'RF'
		and lp.codlinea = 'MP'
		and lp.flagtrim <> 'S'
		and LP.DTTRIM = @DataFineTrim  and cs.dttrim = @DataFineTrim
--------------------------------------------------------------------------
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'DM_STORICO_CAPPROT_FVI' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'DM_STORICO_CAPPROT_FVI'  
  )  
END